## bind9 9.7.1.dfsg.P2

=== debian/changelog ===
bind9 (1:9.7.1.dfsg.P2-2) unstable; urgency=low

  * Correct conflicts for bind9-host

 -- LaMont Jones <lamont@debian.org>  Fri, 16 Jul 2010 05:24:38 -0600

bind9 (1:9.7.1.dfsg.P2-1) unstable; urgency=low

  [Internet Software Consortium, Inc]

  * Temporarily and partially disable change 2864 because it would cause
    inifinite attempts of RRSIG queries.  This is an urgent care fix; we'll
    revisit the issue and complete the fix later.  [RT #21710]
  * Temporarially rollback change 2748. [RT #21594]
  * Named failed to accept uncachable negative responses from insecure zones.
    [RT# 21555]

  [LaMont Jones]

  * freshen copyright file

 -- LaMont Jones <lamont@debian.org>  Thu, 15 Jul 2010 15:07:54 -0600

bind9 (1:9.7.1.dfsg.0-1) unstable; urgency=low

  * Repack to drop zkt/doc/{draft,rfc}*  Closes: #588055

 -- LaMont Jones <lamont@debian.org>  Mon, 05 Jul 2010 07:21:34 -0600

bind9 (1:9.7.1.dfsg-2) unstable; urgency=low

  [Regid Ichira]

  * explicitly add nsupdate to dynamic updates in README.Debian. 
    Closes: #577398

  [LaMont Jones]

  * Cleanup bind9-host description.  Closes: #579421
  * switch to 3.0 (quilt) source format, but not to quilt.  Closes: #578210

  [Stephen Gran]

  * updated geoip patch for ipv6, based on work by John 'Warthog9' Hawley
    <warthog9@eaglescrag.net>.  Closes: #584603

 -- LaMont Jones <lamont@debian.org>  Fri, 02 Jul 2010 08:19:29 -0600

bind9 (1:9.7.1.dfsg-1) unstable; urgency=low

  [Internet Software Consortium, Inc]

  * 9.7.1

  [LaMont Jones]

  * Add freebsd support.  Closes: #578447
  * soname changes
  * freshen root cache.  LP: #596363

 -- LaMont Jones <lamont@debian.org>  Mon, 21 Jun 2010 09:53:30 -0600

=== debian/control ===
Source: bind9
Section: net
Priority: optional
Maintainer: LaMont Jones <lamont@debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: libkrb5-dev, debhelper (>= 5), libssl-dev, libtool, bison, libdb-dev (>>4.6), libldap2-dev, libxml2-dev, libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], hardening-wrapper, libgeoip-dev (>= 1.4.6.dfsg-5)
Build-Conflicts: libdb4.2-dev
Standards-Version: 3.7.3.0
XS-Vcs-Browser: http://git.debian.org/?p=users/lamont/bind9.git
XS-Vcs-Git: git://git.debian.org/~lamont/bind9.git

Package: bind9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0, netbase, adduser, libdns66 (=${binary:Version}), libisccfg60 (=${binary:Version}), libisc60 (=${binary:Version}), libisccc60 (=${binary:Version}), lsb-base (>= 3.2-14), bind9utils (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version}), net-tools
Conflicts: bind, apparmor-profiles (<< 2.1+1075-0ubuntu4)
Replaces: bind, dnsutils (<< 1:9.1.0-3), apparmor-profiles (<< 2.1+1075-0ubuntu4)
Suggests: dnsutils, bind9-doc, resolvconf, ufw
Description: Internet Domain Name Server
 ${Description}
 .
 This package provides the server and related configuration files.

Package: bind9utils
Architecture: any
Replaces: bind9 (<= 1:9.5.0~b2-1)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities for BIND
 This package provides various utilities that are useful for maintaining a
 working BIND installation.

Package: bind9-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for BIND
 This package provides various documents that are useful for maintaining a
 working BIND installation.

Package: host
Priority: standard
Architecture: all
Depends: bind9-host
Description: Transitional package
 This dummy package is provided for a smooth transition from the previous
 host package.  It may safely be removed after installation.

Package: bind9-host
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdns66 (=${binary:Version}), libisccfg60 (=${binary:Version}), libisc60 (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version})
Conflicts: host (<<1:9.7.0), dnsutils (<< 1:9.0.0)
Replaces: dnsutils (<< 1:9.0.0), host (<< 1:9.7.0)
Provides: host
Description: Version of 'host' bundled with BIND 9.X
 This package provides the 'host' program in the form that is bundled with
 the BIND 9.X sources.

Package: libbind-dev
Section: libdevel
Architecture: any
Conflicts: bind-dev
Replaces: bind-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, libdns66 (=${binary:Version}), libisccfg60 (=${binary:Version}), libisc60 (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version})
Description: Static Libraries and Headers used by BIND
 This package delivers archive-style libraries, header files, and API man
 pages for libbind, libdns, libisc, and liblwres.  These are only needed 
 if you want to compile other packages that need more nameserver API than the 
 resolver code provided in libc.

Package: libbind9-60
Section: libs
Priority: standard
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}, libdns66, libisccfg60, libisc60
Description: BIND9 Shared Library used by BIND
 ${Description}
 .
 This package delivers the libbind9 shared library used by BIND's daemons and
 clients.

Package: libdns66
Section: libs
Priority: standard
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}, libisc60
Description: DNS Shared Library used by BIND
 ${Description}
 .
 This package delivers the libdns shared library used by BIND's daemons and
 clients.

Package: libisc60
Section: libs
Priority: standard
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ISC Shared Library used by BIND
 ${Description}
 .
 This package delivers the libisc shared library used by BIND's daemons and
 clients.

Package: liblwres60
Section: libs
Priority: standard
Architecture: any
Replaces: libbind0
Conflicts: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Resolver Library used by BIND
 ${Description}
 .
 This package delivers the liblwres shared library used by BIND's daemons
 and clients.

Package: libisccc60
Section: libs
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}, libisc60
Description: Command Channel Library used by BIND
 ${Description}
 .
 This package delivers the libisccc shared library used by BIND's daemons
 and clients, particularly rndc.

Package: libisccfg60
Section: libs
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}, libdns66, libisccc60, libisc60
Description: Config File Handling Library used by BIND
 ${Description}
 .
 This package delivers the libisccfg shared library used by BIND's daemons
 and clients to read and write ISC-style configuration files like named.conf
 and rndc.conf.

Package: dnsutils
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bind9-host | host, libdns66 (=${binary:Version}), libisccfg60 (=${binary:Version}), libisc60 (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version})
Suggests: rblcheck
Conflicts: netstd (<< 2.00)
Replaces: bind, bind9 (<< 1:9.1.0-3)
Description: Clients provided with BIND
 ${Description}
 .
 This package delivers various client programs related to DNS that are 
 derived from the BIND source tree.
 .
  - dig - query the DNS in various ways
  - nslookup - the older way to do it
  - nsupdate - perform dynamic updates (See RFC2136)

Package: lwresd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libdns66 (=${binary:Version}), libisccfg60 (=${binary:Version}), libisccc60 (=${binary:Version}), libisc60 (=${binary:Version}), liblwres60 (=${binary:Version}), libbind9-60 (=${binary:Version})
Recommends: libnss-lwres
Suggests: bind9utils
Description: Lightweight Resolver Daemon
 lwresd is the daemon providing name lookup services to clients that use
 the BIND 9 lightweight resolver library.  It is essentially a stripped-
 down, caching-only name server that answers queries using the BIND 9
 lightweight resolver protocol rather than the DNS protocol.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export DEB_BUILD_HARDENING=1
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifndef DEB_HOST_ARCH
DEB_BUILD_ARCH := $(shell dpkg --print-architecture)
endif
export arch = $(DEB_HOST_ARCH)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
DEBUG = -g
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPT = 
else
OPT = -O2
endif

export CFLAGS=-fno-strict-aliasing -DDIG_SIGCHASE $(DEBUG) $(OPT)

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
EXTRA_FEATURES=--disable-linux-caps --disable-threads
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--sysconfdir=/etc/bind \
		--localstatedir=/var \
		--enable-threads \
		--enable-largefile \
		--with-libtool \
		--enable-shared \
		--enable-static \
		--with-openssl=/usr \
		--with-gssapi=/usr \
		--with-gnu-ld \
		--with-dlz-postgres=no \
		--with-dlz-mysql=no \
		--with-dlz-bdb=yes \
		--with-dlz-filesystem=yes \
		--with-dlz-ldap=yes \
		--with-dlz-stub=yes \
		--with-geoip=/usr \
		--enable-ipv6 \
		$(EXTRA_FEATURES)

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	LD_LIBRARY_PATH=$$(pwd)/lib/isc/.libs:$$(pwd)/lib/isccc/.libs:$$(pwd)/isccfg/.libs:$${LD_LIBRARY_PATH} $(MAKE)
	touch build-stamp

autofiles:
	libtoolize --automake --copy --force
	aclocal
	#automake
	autoheader
	autoconf
	rm -rf autom4te.cache

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) distclean
	find . -name \*.o -exec rm {} \;
	rm -f build-stamp configure-stamp
	rm -f debian/substvars lib/bind/include/isc/platform.h
	rm -f contrib/dlz/bin/dlzbdb/Makefile contrib/dlz/drivers/rules
	rm -f doc/arm/Bv9ARM.pdf
	dh_clean

newtemplate:
	debconf-updatepo

msgstats:
	@cd debian/po && for i in *.po; do x=$$(msgfmt --statistics $$i 2>&1); echo $$i $$x; done; rm -f messages.mo *.po~

msg-email:
	@podebconf-report-po

ETCBIND=debian/bind9/etc/bind
ETCAPP=debian/bind9/etc/apparmor.d
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/bind9
	rm -f debian/bind9/usr/lib/*.la
	install -c -o bin -g bin -m 444 debian/db.0 ${ETCBIND}/db.0
	install -c -o bin -g bin -m 444 debian/db.0 ${ETCBIND}/db.255
	install -c -o bin -g bin -m 444 debian/db.empty ${ETCBIND}
	install -c -o bin -g bin -m 444 debian/zones.rfc1918 ${ETCBIND}
	install -c -o bin -g bin -m 444 debian/db.127 ${ETCBIND}
	install -c -o bin -g bin -m 444 debian/db.local ${ETCBIND}
	install -c -o bin -g bin -m 444 debian/db.root ${ETCBIND}
	install -c -o bin -g bin -m 440 debian/named.conf ${ETCBIND}
	install -c -o bin -g bin -m 440 debian/named.conf.local ${ETCBIND}
	install -c -o bin -g bin -m 440 debian/named.conf.default-zones ${ETCBIND}
	install -c -o bin -g bin -m 440 debian/named.conf.options ${ETCBIND}
	install -c -o bin -g bin -m 644 debian/bind9-default.md5sum debian/bind9/usr/share/bind9/
	cp doc/arm/*.html debian/bind9-doc/usr/share/doc/bind9-doc/arm
	install -m 644 -o root -g root debian/apparmor-profile ${ETCAPP}/usr.sbin.named

	install debian/ip-up.d debian/bind9/etc/ppp/ip-up.d/bind9
	install debian/ip-down.d debian/bind9/etc/ppp/ip-down.d/bind9
	install debian/ip-up.d debian/bind9/etc/network/if-up.d/bind9
	install debian/ip-down.d debian/bind9/etc/network/if-down.d/bind9
	install -m644 debian/bind9.ufw.profile debian/bind9/etc/ufw/applications.d/bind9

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installcron -i
	dh_installinfo -i
	dh_installchangelogs -i # CHANGES # upstream changelog only in bind9-doc
	dh_installchangelogs -pbind9-doc CHANGES
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	for i in $$(sed -n '/^Package:/s/^.* //p' debian/control); do cat debian/vars.in >> debian/$$i.substvars; done
	cat debian/vars.in >> debian/substvars
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installinit -a --no-start -- defaults 15 85
	dh_installcron -a
	dh_installdebconf -pbind9
	dh_installinfo -a
	dh_installchangelogs -a # CHANGES # upstream changelog only in bind9-doc
	dh_install --sourcedir=debian/bind9 -a
	(cd debian/bind9/ && rm -rf $$(cat ../*.install) )
	rm -f debian/bind9/usr/share/man/man1/query-loc.1
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -l"debian/libbind9-60/usr/lib:debian/libbind-dev/usr/lib:debian/libdns66/usr/lib:debian/libisc60/usr/lib:debian/libisccc60/usr/lib:debian/libisccfg60/usr/lib:debian/liblwres60/usr/lib:/usr/lib/libfakeroot" -a
	for i in $$(sed -n '/^Package:/s/^.* //p' debian/control); do cat debian/vars.in >> debian/$$i.substvars; done
	cat debian/vars.in >> debian/substvars
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## bind9 9.8.4.dfsg.P1-6+nmu2+deb7u17

=== debian/changelog ===
bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u17) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-3142
    An error in TSIG authentication can permit unauthorized 
    zone transfers.
  * CVE-2017-3143
    An error in TSIG authentication can permit unauthorized 
    dynamic updates.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 11 Jul 2017 18:40:39 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u16) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * Dns64 with "break-dnssec yes;" can result in a assertion failure.
    (CVE-2017-3136) 
  * Prerequisite for CVE-2017-3137 cherry-picked from upstream change #4190.
    If not cherry-picking this change the fix for CVE-2017-3137 can cause an
    assertion failure to appear in name.c.
  * Some chaining (CNAME or DNAME) responses to upstream queries could trigger
    assertion failures (CVE-2017-3137) 
  * Reimplement: Some chaining (CNAME or DNAME) responses to upstream queries
    could trigger assertion failures. (CVE-2017-3137)
  * Fix regression introduced when handling CNAME to referral below the
    current domain 
  * 'rndc ""' could trigger a assertion failure in named. (CVE-2017-3138)
  * patch basically adapted from diff of Jessie version

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 20 May 2017 14:40:39 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u15) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-3135
    Assertion failure when using DNS64 and RPZ can lead to crash.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 24 Feb 2017 18:40:39 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u14) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * Apply patches from ISC and borrowed from stretch
  * CVE-2016-9131: Assertion failure related to caching of TKEY records
    in upstream DNS responses.
  * CVE-2016-9147: Processing of RRSIG records in upstream DNS response
    without corresponding signed data could lead to an assertion failure.
  * CVE-2016-9444: Missing RRSIG records in the authority section of
    upstream responses could lead to an assertion failure.
  * RT #43779: Fix handling of CNAME/DNAME responses.  (Regression due
    to the CVE-2016-8864 fix.)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 25 Jan 2017 19:31:39 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u13) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2016-8864: Fix assertion failure in DNAME processing with patch
    provided by ISC.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Nov 2016 19:31:39 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u12) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2016-2848: A server vulnerable to this defect can be forced to 
    exit with an assertion failure if it receives a malformed packet.  
    Authoritative and recursive servers are both vulnerable.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 19 Oct 2016 22:31:39 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u11) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2016-2775: lwresd crash with long query name.
    Backport of upstream commit 38cc2d14e218e536e0102fa70deef99461354232.
    Closes: #831796.
  * CVE-2016-2776: assertion failure due to unspecified crafted query.
    Fix based on 43139-9-9.patch from ISC.  Closes: #839010.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 04 Oct 2016 21:51:39 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u10) wheezy-security; urgency=high

  * Fix CVE-2016-1285: error parsing control channel input.
  * Fix CVE-2016-1286: error parsing DNAME resource records.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 08 Mar 2016 02:51:39 +0000

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u9) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2015-8704: Specific APL data could trigger an INSIST in apl_42.c.
    A buffer size check used to guard against overflow could cause named to
    exit with an INSIST failure In apl_42.c.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 16 Jan 2016 10:50:12 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u8) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patch to fix CVE-2015-8000.
    CVE-2015-8000: Insufficient testing when parsing a message allowed
    records with an incorrect class to be be accepted, triggering a REQUIRE
    failure when those records were subsequently cached.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 14 Dec 2015 20:09:13 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u7) wheezy-security; urgency=high

  * CVE-2015-5722: maliciously crafted DNSSEC key can cause named to crash.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 03 Sep 2015 01:03:45 +0000

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2015-5477: A failure to reset a value to NULL in tkey.c could
    result in an assertion failure.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 27 Jul 2015 20:52:06 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2015-4620: Specially constructed zone data can cause a resolver to
    crash when validating.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 30 Jun 2015 17:53:38 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2015-1349: avoid crash due to managed-key rollover.
    Revoking a managed trust anchor and supplying an untrusted replacement
    could cause named to crash with an assertion failure.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 18 Feb 2015 08:25:15 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.


## bind9 9.8.4.dfsg.P1-6+nmu2+deb7u18

=== debian/changelog ===
bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u18) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * addresses a TSIG regression introduced in previous upload

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 19 Jul 2017 20:40:12 +0200

## bind9 9.8.4.dfsg.P1-6+nmu2+deb7u19

=== debian/changelog ===
bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u19) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-3145
    Addresses could be referenced after being freed in resolver.c, 
    causing an assertion failure.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 21 Dec 2018 18:40:12 +0100

## bind9 9.8.4.dfsg.P1-6+nmu2+deb7u20

=== debian/changelog ===
bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u20) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team.
  * CVE-2018-5735: A denial of service flaw was found in the way BIND handled
    DNSSEC validation. A remote attacker could use this flaw to make named
    exit unexpectedly with an assertion failure via a specially crafted DNS
    response. This issue is closely related to CVE-2017-3139. (Closes: #889285)

 -- Roberto C. Sanchez <roberto@debian.org>  Wed, 07 Feb 2018 23:36:28 -0500

=== debian/control ===
Source: bind9
Section: net
Priority: optional
Maintainer: LaMont Jones <lamont@debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: libkrb5-dev, debhelper (>= 5), libssl-dev, libtool, bison, libdb-dev (>>4.6), libldap2-dev, libxml2-dev, libcap2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], hardening-wrapper, libgeoip-dev (>= 1.4.6.dfsg-5), dpkg-dev (>= 1.15.5)
Build-Conflicts: libdb4.2-dev
Standards-Version: 3.7.3.0
XS-Vcs-Browser: http://git.debian.org/?p=users/lamont/bind9.git
XS-Vcs-Git: git://git.debian.org/~lamont/bind9.git

Package: bind9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0, netbase, adduser, libdns88 (=${binary:Version}), libisccfg82 (=${binary:Version}), libisc84 (=${binary:Version}), libisccc80 (=${binary:Version}), lsb-base (>= 3.2-14), bind9utils (=${binary:Version}), liblwres80 (=${binary:Version}), libbind9-80 (=${binary:Version}), net-tools
Conflicts: bind, apparmor-profiles (<< 2.1+1075-0ubuntu4)
Replaces: bind, dnsutils (<< 1:9.1.0-3), apparmor-profiles (<< 2.1+1075-0ubuntu4)
Suggests: dnsutils, bind9-doc, resolvconf, ufw
Description: Internet Domain Name Server
 ${Description}
 .
 This package provides the server and related configuration files.

Package: bind9utils
Architecture: any
Replaces: bind9 (<= 1:9.5.0~b2-1)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities for BIND
 This package provides various utilities that are useful for maintaining a
 working BIND installation.

Package: bind9-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for BIND
 This package provides various documents that are useful for maintaining a
 working BIND installation.

Package: host
Priority: standard
Architecture: all
Depends: ${misc:Depends}, bind9-host
Description: Transitional package
 This dummy package is provided for a smooth transition from the previous
 host package.  It may safely be removed after installation.

Package: bind9-host
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdns88 (=${binary:Version}), libisccfg82 (=${binary:Version}), libisc84 (=${binary:Version}), liblwres80 (=${binary:Version}), libbind9-80 (=${binary:Version})
Conflicts: host (<<1:9.7.0), dnsutils (<< 1:9.0.0)
Replaces: dnsutils (<< 1:9.0.0), host (<< 1:9.7.0)
Provides: host
Description: Version of 'host' bundled with BIND 9.X
 This package provides the 'host' program in the form that is bundled with
 the BIND 9.X sources.

Package: libbind-dev
Section: libdevel
Architecture: any
Conflicts: bind-dev
Replaces: bind-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, libdns88 (=${binary:Version}), libisccfg82 (=${binary:Version}), libisc84 (=${binary:Version}), liblwres80 (=${binary:Version}), libbind9-80 (=${binary:Version})
Description: Static Libraries and Headers used by BIND
 This package delivers archive-style libraries, header files, and API man
 pages for libbind, libdns, libisc, and liblwres.  These are only needed 
 if you want to compile other packages that need more nameserver API than the 
 resolver code provided in libc.

Package: libbind9-80
Section: libs
Priority: standard
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}, libdns88, libisccfg82, libisc84
Description: BIND9 Shared Library used by BIND
 ${Description}
 .
 This package delivers the libbind9 shared library used by BIND's daemons and
 clients.

Package: libdns88
Section: libs
Priority: standard
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}, libisc84
Description: DNS Shared Library used by BIND
 ${Description}
 .
 This package delivers the libdns shared library used by BIND's daemons and
 clients.

Package: libisc84
Section: libs
Priority: standard
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ISC Shared Library used by BIND
 ${Description}
 .
 This package delivers the libisc shared library used by BIND's daemons and
 clients.

Package: liblwres80
Section: libs
Priority: standard
Architecture: any
Replaces: libbind0
Conflicts: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Resolver Library used by BIND
 ${Description}
 .
 This package delivers the liblwres shared library used by BIND's daemons
 and clients.

Package: libisccc80
Section: libs
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}, libisc84
Description: Command Channel Library used by BIND
 ${Description}
 .
 This package delivers the libisccc shared library used by BIND's daemons
 and clients, particularly rndc.

Package: libisccfg82
Section: libs
Architecture: any
Conflicts: libbind0, libbind9-41
Replaces: libbind0
Depends: ${shlibs:Depends}, ${misc:Depends}, libdns88, libisccc80, libisc84
Description: Config File Handling Library used by BIND
 ${Description}
 .
 This package delivers the libisccfg shared library used by BIND's daemons
 and clients to read and write ISC-style configuration files like named.conf
 and rndc.conf.

Package: dnsutils
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bind9-host | host, libdns88 (=${binary:Version}), libisccfg82 (=${binary:Version}), libisc84 (=${binary:Version}), liblwres80 (=${binary:Version}), libbind9-80 (=${binary:Version})
Suggests: rblcheck
Conflicts: netstd (<< 2.00)
Replaces: bind, bind9 (<< 1:9.1.0-3)
Description: Clients provided with BIND
 ${Description}
 .
 This package delivers various client programs related to DNS that are 
 derived from the BIND source tree.
 .
  - dig - query the DNS in various ways
  - nslookup - the older way to do it
  - nsupdate - perform dynamic updates (See RFC2136)

Package: lwresd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libdns88 (=${binary:Version}), libisccfg82 (=${binary:Version}), libisccc80 (=${binary:Version}), libisc84 (=${binary:Version}), liblwres80 (=${binary:Version}), libbind9-80 (=${binary:Version})
Recommends: libnss-lwres
Suggests: bind9utils
Description: Lightweight Resolver Daemon
 lwresd is the daemon providing name lookup services to clients that use
 the BIND 9 lightweight resolver library.  It is essentially a stripped-
 down, caching-only name server that answers queries using the BIND 9
 lightweight resolver protocol rather than the DNS protocol.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 DEB_BUILD_ARCH := $(shell dpkg --print-architecture)
 endif
 export arch = $(DEB_HOST_ARCH)
+
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 DEBUG = -g
@@ -43,12 +45,6 @@
 		--with-openssl=/usr \
 		--with-gssapi=/usr \
 		--with-gnu-ld \
-		--with-dlz-postgres=no \
-		--with-dlz-mysql=no \
-		--with-dlz-bdb=yes \
-		--with-dlz-filesystem=yes \
-		--with-dlz-ldap=yes \
-		--with-dlz-stub=yes \
 		--with-geoip=/usr \
 		--enable-ipv6 \
 		$(EXTRA_FEATURES)
@@ -108,10 +104,12 @@
 	install -c -o bin -g bin -m 440 debian/named.conf ${ETCBIND}
 	install -c -o bin -g bin -m 440 debian/named.conf.local ${ETCBIND}
 	install -c -o bin -g bin -m 440 debian/named.conf.default-zones ${ETCBIND}
-	install -c -o bin -g bin -m 440 debian/named.conf.options ${ETCBIND}
-	install -c -o bin -g bin -m 644 debian/bind9-default.md5sum debian/bind9/usr/share/bind9/
+	install -c -o bin -g bin -m 440 bind.keys ${ETCBIND}
+	install -c -o bin -g bin -m 440 debian/named.conf.options debian/bind9/usr/share/bind9/
 	cp doc/arm/*.html debian/bind9-doc/usr/share/doc/bind9-doc/arm
 	install -m 644 -o root -g root debian/apparmor-profile ${ETCAPP}/usr.sbin.named
+	install -m 644 -o root -g root debian/apparmor-profile.local ${ETCAPP}/local/usr.sbin.named
+	rmdir debian/bind9/var/run/named debian/lwresd/var/run/named || true
 
 	install debian/ip-up.d debian/bind9/etc/ppp/ip-up.d/bind9
 	install debian/ip-down.d debian/bind9/etc/ppp/ip-down.d/bind9
@@ -155,13 +153,17 @@
 	dh_install --sourcedir=debian/bind9 -a
 	(cd debian/bind9/ && rm -rf $$(cat ../*.install) )
 	rm -f debian/bind9/usr/share/man/man1/query-loc.1
+	# install apport hook on Ubuntu
+	if dpkg-vendor --is ubuntu; then \
+	    install -m 644 -D debian/bind9.apport debian/bind9/usr/share/apport/package-hooks/bind9.py; \
+	fi
 	dh_link -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -l"debian/libbind9-60/usr/lib:debian/libbind-dev/usr/lib:debian/libdns66/usr/lib:debian/libisc60/usr/lib:debian/libisccc60/usr/lib:debian/libisccfg60/usr/lib:debian/liblwres60/usr/lib:/usr/lib/libfakeroot" -a
+	dh_shlibdeps -l"debian/libbind9-80/usr/lib:debian/libbind-dev/usr/lib:debian/libdns88/usr/lib:debian/libisc84/usr/lib:debian/libisccc80/usr/lib:debian/libisccfg82/usr/lib:debian/liblwres80/usr/lib:/usr/lib/libfakeroot" -a
 	for i in $$(sed -n '/^Package:/s/^.* //p' debian/control); do cat debian/vars.in >> debian/$$i.substvars; done
 	cat debian/vars.in >> debian/substvars
 	dh_gencontrol -a

## bind9 9.8.4.dfsg.P1-6+nmu2+deb7u24

=== debian/changelog ===
bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u24) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy ELTS Team. 
  * CVE-2020-8616
    Fix NXNSATTACK amplification attack on BIND 9
  * CVE-2020-8617
    Fix assertion failure in TSIG processing code

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 27 May 2020 21:59:12 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u23) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy ELTS Team. 

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 26 Apr 2019 18:59:12 +0200

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u22) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy ELTS Team. 
  * CVE-2019-6465
    Zone transfer for DLZs are executed though not permitted by ACLs.
  * CVE-2018-5745
    Avoid assertion and thus causing named to deliberately exit when a
    trust anchor's key is replaced with a key which uses an unsupported
    algorithm.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Feb 2019 18:59:12 +0100

bind9 (1:9.8.4.dfsg.P1-6+nmu2+deb7u21) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy ELTS Team. 
  * CVE-2018-5740
    The "deny-answer-aliases" feature in BIND has a flaw which can
    cause named to exit with an assertion failure.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Aug 2018 18:40:12 +0200

## bind9 9.9.5.dfsg

=== contrib/idn/idnkit-1.0-src/util/Makefile ===
# $Id: Makefile,v 1.1 2003/06/04 00:27:52 marka Exp $

PERL = /usr/local/bin/perl -w

V301_NORM_DIR = data/unicode-3.0.0
V310_NORM_DIR = data/unicode-3.1.0
V320_NORM_DIR = data/unicode-3.2.0
NORM_GENERATOR = ./generate_normalize_data.pl

NAMEPREP_DIR  = data/nameprep
NAMEPREP_FILES = \
	$(NAMEPREP_DIR)/nameprep.rfc3491.map \
	$(NAMEPREP_DIR)/nameprep.rfc3491.prohibited \
	$(NAMEPREP_DIR)/nameprep.rfc3491.unassigned \
	$(NAMEPREP_DIR)/nameprep.rfc3491.bidi
NAMEPREP_GENERATOR = ./generate_nameprep_data.pl
NAMEPREP_VERSIONS = rfc3491

all: normalize nameprep

normalize: ../lib/unicodedata_320.c

nameprep: ../lib/nameprepdata.c

../lib/unicodedata_301.c: $(NORM_GENERATOR)
	-rm -f $@.tmp
	$(PERL) $(NORM_GENERATOR) -prefix v301_ -dir $(V301_NORM_DIR) \
		> $@.tmp && mv $@.tmp $@

../lib/unicodedata_310.c: $(NORM_GENERATOR)
	-rm -f $@.tmp
	$(PERL) $(NORM_GENERATOR) -prefix v310_ -dir $(V310_NORM_DIR) \
		> $@.tmp && mv $@.tmp $@

../lib/unicodedata_320.c: $(NORM_GENERATOR)
	-rm -f $@.tmp
	$(PERL) $(NORM_GENERATOR) -prefix v320_ -dir $(V320_NORM_DIR) \
		> $@.tmp && mv $@.tmp $@

../lib/nameprepdata.c: $(NAMEPREP_GENERATOR) $(NAMEPREP_FILES)
	-rm -f $@.tmp
	$(PERL) $(NAMEPREP_GENERATOR) -dir $(NAMEPREP_DIR) \
		$(NAMEPREP_VERSIONS) > $@.tmp && mv $@.tmp $@
